%global npm_name nice-try
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.0.4
Release: %mkrel 5
Summary: Tries to execute a function and discards any error that occurs
License: MIT
Group: Development/Other
URL: https://github.com/electerious/nice-try
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr src %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc CHANGELOG.md
%doc README.md



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.0.4-5.mga10
+ Revision: 2208250
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 1.0.4-4.mga9
+ Revision: 1818547
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0.4-3.mga8
+ Revision: 1503069
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0.4-2.mga7
+ Revision: 1280862
- Mageia 7 Mass Rebuild

* Mon Apr 30 2018 kekepower <kekepower> 1.0.4-1.mga7
+ Revision: 1223724
- imported package nodejs-nice-try

